summaryrefslogtreecommitdiff
path: root/Tools
diff options
context:
space:
mode:
authorWilliam S Fulton <wsf@fultondesigns.co.uk>2014-02-16 09:33:51 +0000
committerWilliam S Fulton <wsf@fultondesigns.co.uk>2014-02-16 09:33:51 +0000
commit8a5fb0fe7be4471512e27b5fe0d3c6057546df16 (patch)
tree2015dd57640021701a4756cd272a2b01f887748f /Tools
parentbd5c340062b2785cd25fc24214d6cb13af2a4310 (diff)
downloadswig-8a5fb0fe7be4471512e27b5fe0d3c6057546df16.tar.gz
brew install workarounds on Travis
'brew install guile' does not complete within 10 minutes and the build is then killed by Travis Suggestion and original script from travis-ci/travis-ci#1961
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/brew-install25
1 files changed, 25 insertions, 0 deletions
diff --git a/Tools/brew-install b/Tools/brew-install
new file mode 100755
index 000000000..408ae13bb
--- /dev/null
+++ b/Tools/brew-install
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Wrapper around 'brew install' emitting a message every minute if the command is still running.
+# This is used on Travis to ensure the install isn't killed when there is no output over a long period (10 minutes).
+# Usage: brew-install package, where package is the name of the package for brew to install.
+
+seconds=0
+minutes=0
+brew install $1 &
+while true; do
+ ps -p$! 2>& 1>/dev/null
+ if [ $? = 0 ]; then
+ if [ $seconds = 60 ]; then
+ let seconds=0
+ let minutes=minutes+1
+ echo "brew install $1 still running ($minutes min)"
+ fi
+ sleep 1
+ let seconds=seconds+1
+ else
+ break
+ fi
+done
+wait $!
+exit $?